Node Webkit Linux Exporter issue

  • Hello,

    I'm trying to export the game using Node-Webkit for Linux. It exports, but the version just doesn't work. I'm using Ubuntu and when I click on the file it shows a message and the game doesn't start. I'm not a Linux user and I don't have any idea what to do. Is there anything else to do after export the game? I'm just exporting on windows, copying files to the Linux computer and clicking on the game file. Probably there is something more to do, I don't know. Any ideas?

  • Sounds like you should file a bug report with on the node webkit page: https://github.com/rogerwang/node-webkit/issues?state=open

  • arcgen - you need to right-click the file, select properties, and enable execute permission.

  • Thanks Ashley! That is what I did and Worked :) But just in one partition, on another just doesn't work. But maybe it's a Ubuntu issue, I don't know. I just installed the Ubuntu on another machine to test the game. 32 and 64 bit is working :)

    The game is running on Ubuntu, but not so good as the Windows version. The performance lost more or less 10 FPS.

    On OSX it's working on the 10.7.4 (One year old Macbook pro) with the same windows 8 performance. It's perfect. But on the OSX 10.6.8 (quite old Macbook white) is not working at all. The game just doesn't open. Any idea?

    Thank you!

  • arcgen - linux graphics card drivers are a huge mess. Open Chrome and type in chrome://gpu and you can see if Chrome thinks your drivers are good enough to enable hardware acceleration.

  • It is. I have 2 partition on the same computer, one with linux 32 bit and another with Win7. My old test computer is a Centrino duo and the GPU is a old Nvidia. But the difference between systems is at least 10 FPS. It's ok.

    I just realized why they don't port the games for Linux. It's difficult to work with this messy graphic card thing.

    On the win8/i7 computer and Macbook pro is running very well. Do you know why it has problems on old OSX?

  • Hey, well i have more or less the same problem under linux.

    Im using Ubuntu 13.04 64Bit running Construct2 on Virtualbox with Win7 32 Bit.

    I tried exporting the Old Tv WegGl project, because I wanted to ensure that my system supports WebGl.

    After making the file runnable I tried to run it but nothing happens..

    Can someone help me?

  • Try Construct 3

    Develop games in your browser. Powerful, performant & highly capable.

    Try Now Construct 3 users don't see these ads
  • I still have the same problem so far, but I just let this aside for now to focus on the rest of the game. Some time I have to go back to it and try to fix.

  • I have same problem before.

    I'm tested my Construct 2 game exported with Node Web Kit in Linux Ubuntu 13.04 32-bit.

    I've found the solution here:

    https://github.com/rogerwang/node-webkit/wiki/The-solution-of-lacking-libudev.so.0

    Here is my screenshot to prove my game is worked on Linux Ubuntu 13.04 32-bit using Node Webkit:

    <img src="http://i.imgur.com/6A72Vi2.png" border="0">

    <img src="http://i.imgur.com/9i9MnV3.png" border="0">

    Keep going! :)

  • I am having this problem with 64bit Linux. Ubuntu 14. Click the test application and nothing appears.

  • This is a hard topic to comment on or offer help with. I'll also admit, I didn't read the link posted a few comments above to the GitHub account regarding the missing library.

    It would help though if everyone could post their hardware that they are using in nix, and if possible, which drivers and modules they are using. It would be easier to determine what kind of issue there is.

    It's been stated, but nix drivers are sketchy at best. NVidia typically does a good job, but even with Ubuntu, they have to be installed and configured desperately. ATI has always had really awful support. I can't count how many issues I've run into with ATi drivers. From what I understand (and I may be wrong on this), Intel 4000 and 5000 graphics are barely supported.

    Also, if the graphics modules aren't installed properly, or support openGL, there will be a drop in frame rate.

  • I wonder why the game does not run on Ubuntu 14.04 64bit even giving permission

  • kenli

    Could you explain in a way to better understanding? Or do some tutorial for those who have doubts as I?

Jump to:
Active Users
There are 1 visitors browsing this topic (0 users and 1 guests)